package main

import (
	"fmt"

	"b612.me/starainrt"
	"b612.me/starlog"
	"github.com/spf13/cobra"
)

var attachcmd = &cobra.Command{
	Use:   "attach",
	Short: "合并两个文件",
	Long:  "合并两个文件",
	Run: func(this *cobra.Command, args []string) {
		var src, dst, out string
		if len(args) == 3 {
			src = args[0]
			dst = args[1]
			out = args[2]
		} else {
			src, _ = this.Flags().GetString("src")
			dst, _ = this.Flags().GetString("dst")
			out, _ = this.Flags().GetString("out")
		}
		if src == "" || dst == "" {
			starlog.Criticalln("ERROR PATH")
			this.Help()
			return
		}
		cryp := new(starainrt.StarCrypto)
		err := cryp.Attach(src, dst, out)
		if err != nil {
			starlog.Criticalln(err.Error)
		} else {
			fmt.Println("完成")
		}
	},
}

func init() {
	attachcmd.Flags().StringP("src", "s", "", "源文件路径")
	attachcmd.Flags().StringP("dst", "d", "", "目标文件路径")
	attachcmd.Flags().StringP("out", "o", "", "输出文件路径")
}
